# class SCCPUser | Abstract SS7 SCCP user interface. More...
Full name | `TelEngine::SCCPUser`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SignallingComponent [virtual public ]
Inherited by | SS7TCAP, SS7TCAPANSI, SS7TCAPITU
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SCCPUser (const NamedList& params)
- virtual ~SCCPUser ()
- virtual bool initialize (const NamedList* config)
- virtual bool sendData (DataBlock& data, NamedList& params)
- virtual bool sccpNotify (SCCP::Type type, NamedList& params)
- virtual HandledMSU receivedData (DataBlock& data, NamedList& params)
- virtual HandledMSU notifyData (DataBlock& data, NamedList& params)
- virtual bool managementNotify (SCCP::Type type, NamedList& params)
- virtual void attach (SCCP* sccp)
- inline SCCP* sccp () const

#### Protected Methods

- virtual void destroyed ()

## Detailed Description

An interface to a SS7 Signalling Connection Control Part user

SCCPUser (const NamedList& params) | ### SCCPUser

Constructor

~SCCPUser () | ### ~SCCPUser

[virtual]

Destructor, detaches from the SCCP implementation

bool initialize (const NamedList* config) | ### initialize

[virtual]

Configure and initialize the component and any subcomponents it may have

Parameters:

config | Optional configuration parameters override

Returns: True if the component was initialized properly

Reimplemented from SignallingComponent.

bool sendData (DataBlock& data, NamedList& params) | ### sendData

[virtual]

Send a message to SCCP for transport

Parameters:

data | User data
params | SCCP parameters Note! If the request is made with return option set there is no warranty that a notification will be received in case that the message failed to be delivered

bool sccpNotify (SCCP::Type type, NamedList& params) | ### sccpNotify

[virtual]

Send a request / notification from users to sccp regarding a subsystem status

          Type : CoordinateRequest -> Request from a user to sccp to go OOS
               params: "ssn" The ssn to go OOS
         	           "smi" Subsystem multiplicity indicator
         		   "backups" The number of backup subsystems
         		   "backup.N.ssn" The ssn of the backup subsystem number N
         		   "backup.N.pointcode" The ssn of the backup subsystem number N
          Type : CoordinateResponse -> Indication from a user to sccp in response to CoordinateIndication<
               params: "ssn" The subsystem number that approved the indication
                       "smi" 0
          Type : StatusRequest -> Request from user to sccp to update a subsystem status
           	   params: "ssn" The affected subsystem number
           		   "smi" 0;
          		   "subsystem-status": The requested status: UserOutOfService, UserInService

Parameters:

type | The type of request / notification
params | List of parameters

Returns: True if sccp management has processed the request / notification.

HandledMSU receivedData (DataBlock& data, NamedList& params) | ### receivedData

[virtual]

Notification from SCCP that a message has arrived

Parameters:

data | Received user data
params | SCCP parameters

Returns: True if this user has processed the message, false otherwise

HandledMSU notifyData (DataBlock& data, NamedList& params) | ### notifyData

[virtual]

Notification from SCCP that a message failed to arrive to it's destination

Parameters:

data | User data send.
params | SCCP parameters Note! The data may not contain the full message block previously sent (in case of SCCP segmentation), but it must always must contain the first segment

bool managementNotify (SCCP::Type type, NamedList& params) | ### managementNotify

[virtual]

Notification from SCCP management to a sccp user about pointcodes status, OOS responses/indications, subsystems status

          Type: CoordinateIndication -> Indication from a remote SCCP User that requires to go OOS
              params: "ssn" -> The subsystem number of the remote SCCP User
          	          "smi" -> Subsystem multiplicity indicator
          	          "pointcode" -> The pointcode of the remote SCCP User
          Type: SubsystemStatus -> Request from SCCP Management to SCCP Users to query the specified subsystem status.
                                   This happens when a SubsystemStatusTest(SST) message is received
          	  params: "ssn" -> The requested subsystem
              returned params:
          	          "subsystem-status" -> The status of the subsystem: UserOutOfService, UserInService
          	        		        Missing = UserOutOfService

Parameters:

type | The type of notification
params | List of parameters

Returns: False on error

void attach (SCCP* sccp) | ### attach

[virtual]

Attach as user to a SCCP

Parameters:

sccp | Pointer to the SCCP to use NOTE: This method will deref the pointer if is the same with the one that we already have!! When this method is called the sccp pointer reference counter must be incremented for this SCCPUser.

inline SCCP* sccp () | ### sccp

[const]

Retrieve the SCCP to which this component is attached

Returns: Pointer to the attached SCCP or NULL

void destroyed () | ### destroyed

[protected virtual]

Reimplemented from SignallingComponent.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.